zenilib: zenilib/jni/external/sdl/SDL/SDL_test_images.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
SDL_test_images.h File Reference
`#include "SDL.h"`
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Classes

struct | SDLTest_SurfaceImage_s

## Typedefs

typedef struct SDLTest_SurfaceImage_s | SDLTest_SurfaceImage_t

## Functions

SDL_Surface * | SDLTest_ImageBlit ()
| Returns the Blit test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitAlpha ()
| Returns the BlitAlpha test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlend ()
| Returns the BlitBlend test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendAdd ()
| Returns the BlitBlendAdd test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendAll ()
| Returns the BlitBlendAll test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendMod ()
| Returns the BlitBlendMod test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendNone ()
| Returns the BlitBlendNone test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitColor ()
| Returns the BlitColor test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageFace ()
| Returns the Face test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImagePrimitives ()
| Returns the Primitives test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImagePrimitivesBlend ()
| Returns the PrimitivesBlend test image as SDL_Surface. More...

## Detailed Description

Include file for SDL test framework.

This code is a part of the SDL2_test library, not the main SDL library.

Definition in file SDL_test_images.h.

## Typedef Documentation

typedef struct SDLTest_SurfaceImage_s SDLTest_SurfaceImage_t

Type for test images.

## Function Documentation

SDL_Surface* SDLTest_ImageBlit | ( |  | ) |

Returns the Blit test image as SDL_Surface.

Definition at line 541 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitAlpha | ( |  | ) |

Returns the BlitAlpha test image as SDL_Surface.

Definition at line 1536 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitBlend | ( |  | ) |

Returns the BlitBlend test image as SDL_Surface.

Definition at line 1111 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitBlendAdd | ( |  | ) |

Returns the BlitBlendAdd test image as SDL_Surface.

Definition at line 581 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitBlendAll | ( |  | ) |

Returns the BlitBlendAll test image as SDL_Surface.

Definition at line 2822 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitBlendMod | ( |  | ) |

Returns the BlitBlendMod test image as SDL_Surface.

Definition at line 1541 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitBlendNone | ( |  | ) |

Returns the BlitBlendNone test image as SDL_Surface.

Definition at line 2354 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageBlitColor | ( |  | ) |

Returns the BlitColor test image as SDL_Surface.

Definition at line 1024 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImageFace | ( |  | ) |

Returns the Face test image as SDL_Surface.

Definition at line 224 of file SDL_test_imageFace.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImagePrimitives | ( |  | ) |

Returns the Primitives test image as SDL_Surface.

Definition at line 491 of file SDL_test_imagePrimitives.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.

SDL_Surface* SDLTest_ImagePrimitivesBlend | ( |  | ) |

Returns the PrimitivesBlend test image as SDL_Surface.

Definition at line 673 of file SDL_test_imagePrimitivesBlend.c.

References SDLTest_SurfaceImage_s::bytes_per_pixel, SDLTest_SurfaceImage_s::height, if(), SDLTest_SurfaceImage_s::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom(), and SDLTest_SurfaceImage_s::width.